Skip to main content
DELETE
Deletes a Line Item

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

sequence-version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

invoice
string
required

The Invoice ID

id
string
required

Line Item ID

Response

OK

id
string
required

Line Item ID

Example:

"af60cab3-812d-4250-a051-0fb7133a00c7"

invoiceId
string
required

Invoice ID

Example:

"cd11218d-fa00-4faa-8684-a43113d076a8"

title
string
required

Item Title

Example:

"Ferraris"

quantity
string
required

Quantity

Example:

"2"

rate
string
required

Price per Item

Example:

"20000.10"

taxRate
string
required

Tax Rate

Example:

"0.2"

index
integer
required

Index (for maintaining order)

Example:

2

netTotal
string
required

Net total, in decimal format of the Invoice's currency

Example:

"51.20"

totalTax
string
required

Total tax, in decimal format of the Invoice's currency

Example:

"2.50"

grossTotal
string
required

Gross total, in decimal format of the Invoice's currency

Example:

"101.23"

rateDisplay
enum<string>
required

Determines whether rate is displayed as an absolute value or percentage

Available options:
ABSOLUTE,
PERCENTAGE
Example:

"ABSOLUTE"

externalIds
object[]
required

IDs in external integrations

Example:
description
string

Item Description

Example:

"Red"

servicePeriodStart
string

Start of the service period (the time period in which the service was provided)

Example:

"2022-10-20T00:00:00Z"

servicePeriodEnd
string

End of the service period (the time period in which the service was provided)

Example:

"2022-10-24T00:00:00Z"

servicePeriod
object

Service Period

Example:
groupId
string

Line Item Group ID

Example:

"cd11218d-fa00-4faa-8684-a43113d076a8"

priceId
string

Price ID

Example:

"fe2fcd0b-4c53-45c7-b2ae-b6c1a7d21e95"

revenueClassification
enum<string>

Revenue classification

Available options:
PREPAYMENT,
EARNED,
BURNDOWN
Example:

"EARNED"

creditGrantId
string

Credit Grant ID

Example:

"fe2fcd0b-4c53-45c7-b2ae-b6c1a7d21e95"

productId
string

Product ID

Example:

"dd55bf30-3b97-4644-a9fc-b15e0f59a110"

revenueRecognitionMethod
enum<string>

Revenue recognition method

Available options:
STRAIGHT_LINE,
USAGE,
MILESTONE,
POINT_IN_TIME
Example:

"STRAIGHT_LINE"